Page MenuHomePhabricator

EventBusRCFeedEngine should use FormattedRCFeed instead of RCFeedEngine to use updated configuration
Closed, ResolvedPublic5 Story Points

Description

2 years ago Timo updated the mediawiki RCFeed configuration code to make parameterizing RCFeed implementations easier. He did this after EventBus hacked around the existing code to map 'eventbus://' URIs to the proper classes.

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/330833/

I always meant to update EventBus to use this, but just never did. We need to do this now before T214446 is done, since that task will change the way EventBus is configured too.

Details

Related Gerrit Patches:
mediawiki/extensions/EventBus : masterSupport multiple event service endpoints
mediawiki/extensions/EventBus : masterRemove deprecated use of RCFeedEngine
operations/mediawiki-config : masterUse wgRCFeeds without wgRCEngines for EventBus RCFeed
mediawiki/vagrant : masterConfigure eventbus extension to log recentchange events

Event Timeline

Ottomata triaged this task as Medium priority.Feb 11 2019, 7:11 PM
Ottomata created this task.

Change 489778 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/vagrant@master] Configure eventbus extension to log recentchange events

https://gerrit.wikimedia.org/r/489778

Change 489781 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Use wgRCFeeds without wgRCEngines for EventBus RCFeed

https://gerrit.wikimedia.org/r/489781

Change 489778 merged by Ottomata:
[mediawiki/vagrant@master] Configure eventbus extension to log recentchange events

https://gerrit.wikimedia.org/r/489778

Change 489786 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Remove deprecated use of RCFeedEngine

https://gerrit.wikimedia.org/r/489786

Change 489781 merged by Ottomata:
[operations/mediawiki-config@master] Use wgRCFeeds without wgRCEngines for EventBus RCFeed

https://gerrit.wikimedia.org/r/489781

Mentioned in SAL (#wikimedia-operations) [2019-02-11T21:22:29Z] <otto@deploy1001> Synchronized wmf-config/CommonSettings.php: Use newer RCFeed config for EventBus based recentchange event - T215834 (duration: 00m 47s)

Ottomata moved this task from Next Up to Ready to Deploy on the Analytics-Kanban board.

Change 489786 abandoned by Ottomata:
Remove deprecated use of RCFeedEngine

Reason:
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/EventBus/ /485969 does both things in one blow!

https://gerrit.wikimedia.org/r/489786

Change 485969 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Support multiple event service endpoints

https://gerrit.wikimedia.org/r/485969

Change 485969 merged by Ottomata:
[mediawiki/extensions/EventBus@master] Support multiple event service endpoints

https://gerrit.wikimedia.org/r/485969

Nuria closed this task as Resolved.Feb 25 2019, 10:57 PM